> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive client key

> Archives a client key so it no longer appears in list results or can be selected for new use. The key record is retained and can be restored with `POST /v2/settings/security/keys/{key_id}/unarchive`. Fails when the key is still referenced by campaign components or other platform resources.



## OpenAPI

````yaml /api-reference/management.json delete /v2/settings/security/keys/{key_id}
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v2/settings/security/keys/{key_id}:
    delete:
      tags:
        - Security Keys
      summary: Archive client key
      description: >-
        Archives a client key so it no longer appears in list results or can be
        selected for new use. The key record is retained and can be restored
        with `POST /v2/settings/security/keys/{key_id}/unarchive`. Fails when
        the key is still referenced by campaign components or other platform
        resources.
      operationId: archiveClientKey
      parameters:
        - in: path
          name: key_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientKeyResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                client_key_associated_with_entity:
                  $ref: '#/components/examples/client_key_associated_with_entity'
                client_key_not_found:
                  $ref: '#/components/examples/client_key_not_found'
                external_element_in_use:
                  $ref: '#/components/examples/external_element_in_use'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                pgp_extole_client_key_not_found:
                  $ref: '#/components/examples/pgp_extole_client_key_not_found'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    ClientKeyResponse:
      discriminator:
        mapping:
          A128KW:
            $ref: '#/components/schemas/GenericClientKeyResponseAsA128kw'
          A192KW:
            $ref: '#/components/schemas/GenericClientKeyResponseAsA192kw'
          A256KW:
            $ref: '#/components/schemas/GenericClientKeyResponseAsA256kw'
          ES256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs256Private'
          ES256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs256Public'
          ES384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs384Private'
          ES384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs384Public'
          ES512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs512Private'
          ES512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs512Public'
          HS256:
            $ref: '#/components/schemas/GenericClientKeyResponseAsHs256'
          HS384:
            $ref: '#/components/schemas/GenericClientKeyResponseAsHs384'
          HS512:
            $ref: '#/components/schemas/GenericClientKeyResponseAsHs512'
          HTTP_BASIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsHttpBasic'
          OAUTH:
            $ref: '#/components/schemas/OAuthClientKeyResponse'
          OAUTH_GENERIC:
            $ref: '#/components/schemas/OAuthGenericClientKeyResponse'
          OAUTH_LEAD_PERFECTION:
            $ref: '#/components/schemas/OAuthLeadPerfectionClientKeyResponse'
          OAUTH_LISTRAK:
            $ref: '#/components/schemas/OAuthListrakClientKeyResponse'
          OAUTH_OPTIMOVE:
            $ref: '#/components/schemas/OAuthOptimoveClientKeyResponse'
          OAUTH_SALESFORCE:
            $ref: '#/components/schemas/OAuthSalesforceClientKeyResponse'
          OAUTH_SFDC:
            $ref: '#/components/schemas/OAuthSfdcClientKeyResponse'
          OAUTH_SFDC_PASSWORD:
            $ref: '#/components/schemas/OAuthSfdcPasswordClientKeyResponse'
          PASSWORD:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPassword'
          PS256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs256Private'
          PS256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs256Public'
          PS384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs384Private'
          PS384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs384Public'
          PS512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs512Private'
          PS512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs512Public'
          RS256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs256Private'
          RS256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs256Public'
          RS384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs384Private'
          RS384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs384Public'
          RS512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs512Private'
          RS512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs512Public'
          RSA:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsa'
          RSA_OAEP_256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep256Private'
          RSA_OAEP_256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep256Public'
          RSA_OAEP_384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep384Private'
          RSA_OAEP_384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep384Public'
          RSA_OAEP_512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep512Private'
          RSA_OAEP_512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep512Public'
          SSL_PKCS_12:
            $ref: '#/components/schemas/SslPkcs12ClientKeyResponse'
        propertyName: algorithm
      oneOf:
        - title: A128KW
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsA128kw'
        - title: A192KW
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsA192kw'
        - title: A256KW
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsA256kw'
        - title: ES256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs256Private'
        - title: ES256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs256Public'
        - title: ES384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs384Private'
        - title: ES384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs384Public'
        - title: ES512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs512Private'
        - title: ES512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs512Public'
        - title: HS256
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsHs256'
        - title: HS384
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsHs384'
        - title: HS512
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsHs512'
        - title: HTTP_BASIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsHttpBasic'
        - title: OAUTH
          allOf:
            - $ref: '#/components/schemas/OAuthClientKeyResponse'
        - title: OAUTH_GENERIC
          allOf:
            - $ref: '#/components/schemas/OAuthGenericClientKeyResponse'
        - title: OAUTH_LEAD_PERFECTION
          allOf:
            - $ref: '#/components/schemas/OAuthLeadPerfectionClientKeyResponse'
        - title: OAUTH_LISTRAK
          allOf:
            - $ref: '#/components/schemas/OAuthListrakClientKeyResponse'
        - title: OAUTH_OPTIMOVE
          allOf:
            - $ref: '#/components/schemas/OAuthOptimoveClientKeyResponse'
        - title: OAUTH_SALESFORCE
          allOf:
            - $ref: '#/components/schemas/OAuthSalesforceClientKeyResponse'
        - title: OAUTH_SFDC
          allOf:
            - $ref: '#/components/schemas/OAuthSfdcClientKeyResponse'
        - title: OAUTH_SFDC_PASSWORD
          allOf:
            - $ref: '#/components/schemas/OAuthSfdcPasswordClientKeyResponse'
        - title: PASSWORD
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPassword'
        - title: PS256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs256Private'
        - title: PS256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs256Public'
        - title: PS384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs384Private'
        - title: PS384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs384Public'
        - title: PS512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs512Private'
        - title: PS512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs512Public'
        - title: RS256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs256Private'
        - title: RS256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs256Public'
        - title: RS384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs384Private'
        - title: RS384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs384Public'
        - title: RS512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs512Private'
        - title: RS512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs512Public'
        - title: RSA
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsa'
        - title: RSA_OAEP_256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep256Private'
        - title: RSA_OAEP_256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep256Public'
        - title: RSA_OAEP_384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep384Private'
        - title: RSA_OAEP_384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep384Public'
        - title: RSA_OAEP_512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep512Private'
        - title: RSA_OAEP_512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep512Public'
        - title: SSL_PKCS_12
          allOf:
            - $ref: '#/components/schemas/SslPkcs12ClientKeyResponse'
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    GenericClientKeyResponseAsA128kw:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - A128KW
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: A128KW
    GenericClientKeyResponseAsA192kw:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - A192KW
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: A192KW
    GenericClientKeyResponseAsA256kw:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - A256KW
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: A256KW
    GenericClientKeyResponseAsEs256Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES256_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES256_PRIVATE
    GenericClientKeyResponseAsEs256Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES256_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES256_PUBLIC
    GenericClientKeyResponseAsEs384Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES384_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES384_PRIVATE
    GenericClientKeyResponseAsEs384Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES384_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES384_PUBLIC
    GenericClientKeyResponseAsEs512Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES512_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES512_PRIVATE
    GenericClientKeyResponseAsEs512Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES512_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES512_PUBLIC
    GenericClientKeyResponseAsHs256:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HS256
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HS256
    GenericClientKeyResponseAsHs384:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HS384
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HS384
    GenericClientKeyResponseAsHs512:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HS512
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HS512
    GenericClientKeyResponseAsHttpBasic:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HTTP_BASIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HTTP_BASIC
    OAuthClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH
              type: string
            authorization_url:
              $ref: '#/components/schemas/AuthorizationUrlInOAuthClientKeyResponse'
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth client key definition. Fields `name`, `description`, and
        `authorization_url` are unevaluated and appear in buildtime-evaluatable
        form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH
    OAuthGenericClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_GENERIC
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthGenericClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            request:
              $ref: '#/components/schemas/RequestInOAuthGenericClientKeyResponse'
            response_handler:
              $ref: >-
                #/components/schemas/ResponseHandlerInOAuthGenericClientKeyResponse
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth generic client key definition. Fields `name`,
        `description`, `authorization_url`, `request`, and `response_handler`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - request
        - response_handler
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_GENERIC
    OAuthLeadPerfectionClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_LEAD_PERFECTION
              type: string
            appKey:
              type: string
            app_key:
              type: string
              writeOnly: true
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthLeadPerfectionClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            leadPerfectionClientId:
              type: string
            lead_perfection_client_id:
              type: string
              writeOnly: true
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth lead perfection client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - appKey
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - leadPerfectionClientId
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_LEAD_PERFECTION
    OAuthListrakClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_LISTRAK
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthListrakClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth listrak client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_LISTRAK
    OAuthOptimoveClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_OPTIMOVE
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthOptimoveClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth optimove client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_OPTIMOVE
    OAuthSalesforceClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            account_id:
              format: int32
              type: integer
            algorithm:
              enum:
                - OAUTH_SALESFORCE
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthSalesforceClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth salesforce client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - account_id
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_SALESFORCE
    OAuthSfdcClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_SFDC
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthSfdcClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth sfdc client key definition. Fields `name`, `description`,
        and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_SFDC
    OAuthSfdcPasswordClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_SFDC_PASSWORD
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthSfdcPasswordClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            password:
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
            username:
              type: string
          type: object
      description: >-
        Stored oauth sfdc password client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - password
        - scope
        - tags
        - type
        - updated_at
        - username
      type: object
      title: OAUTH_SFDC_PASSWORD
    GenericClientKeyResponseAsPassword:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PASSWORD
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PASSWORD
    GenericClientKeyResponseAsPs256Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS256_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS256_PRIVATE
    GenericClientKeyResponseAsPs256Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS256_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS256_PUBLIC
    GenericClientKeyResponseAsPs384Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS384_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS384_PRIVATE
    GenericClientKeyResponseAsPs384Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS384_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS384_PUBLIC
    GenericClientKeyResponseAsPs512Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS512_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS512_PRIVATE
    GenericClientKeyResponseAsPs512Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS512_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS512_PUBLIC
    GenericClientKeyResponseAsRs256Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS256_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS256_PRIVATE
    GenericClientKeyResponseAsRs256Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS256_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS256_PUBLIC
    GenericClientKeyResponseAsRs384Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS384_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS384_PRIVATE
    GenericClientKeyResponseAsRs384Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS384_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS384_PUBLIC
    GenericClientKeyResponseAsRs512Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS512_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS512_PRIVATE
    GenericClientKeyResponseAsRs512Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS512_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS512_PUBLIC
    GenericClientKeyResponseAsRsa:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA
    GenericClientKeyResponseAsRsaOaep256Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_256_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_256_PRIVATE
    GenericClientKeyResponseAsRsaOaep256Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_256_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_256_PUBLIC
    GenericClientKeyResponseAsRsaOaep384Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_384_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_384_PRIVATE
    GenericClientKeyResponseAsRsaOaep384Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_384_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_384_PUBLIC
    GenericClientKeyResponseAsRsaOaep512Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_512_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_512_PRIVATE
    GenericClientKeyResponseAsRsaOaep512Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_512_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_512_PUBLIC
    SslPkcs12ClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - SSL_PKCS_12
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            password:
              type: string
          type: object
      description: >-
        Stored ssl pkcs12client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - password
        - tags
        - type
        - updated_at
      type: object
      title: SSL_PKCS_12
    ClientKeyResponseBase:
      properties:
        algorithm:
          description: >-
            Cryptographic or integration algorithm. Discriminator for
            polymorphic create, update, and response schemas.
          enum:
            - A128KW
            - A192KW
            - A256KW
            - ES256_PRIVATE
            - ES256_PUBLIC
            - ES384_PRIVATE
            - ES384_PUBLIC
            - ES512_PRIVATE
            - ES512_PUBLIC
            - GENERIC
            - HS256
            - HS384
            - HS512
            - HTTP_BASIC
            - OAUTH
            - OAUTH_GENERIC
            - OAUTH_LEAD_PERFECTION
            - OAUTH_LISTRAK
            - OAUTH_OPTIMOVE
            - OAUTH_SALESFORCE
            - OAUTH_SFDC
            - OAUTH_SFDC_PASSWORD
            - PASSWORD
            - PS256_PRIVATE
            - PS256_PUBLIC
            - PS384_PRIVATE
            - PS384_PUBLIC
            - PS512_PRIVATE
            - PS512_PUBLIC
            - RS256_PRIVATE
            - RS256_PUBLIC
            - RS384_PRIVATE
            - RS384_PUBLIC
            - RS512_PRIVATE
            - RS512_PUBLIC
            - RSA
            - RSA_OAEP_256_PRIVATE
            - RSA_OAEP_256_PUBLIC
            - RSA_OAEP_384_PRIVATE
            - RSA_OAEP_384_PUBLIC
            - RSA_OAEP_512_PRIVATE
            - RSA_OAEP_512_PUBLIC
            - SSL_PKCS_12
          type: string
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceResponse'
          type: array
        created_at:
          $ref: '#/components/schemas/ZonedDateTime'
        description:
          $ref: '#/components/schemas/DescriptionInClientKeyResponseBase'
        id:
          description: Stable Extole identifier for the client key.
          readOnly: true
          type: string
        key:
          description: >-
            Key material in the same encoding accepted on create. Symmetric
            secrets and private keys are partially masked in API responses;
            public keys are returned in full PEM form.
          type: string
        name:
          $ref: '#/components/schemas/NameInClientKeyResponseBase'
        partner_key_id:
          description: >-
            External key identifier used to match tokens or credentials to this
            key (for example the JWT kid header).
          type: string
        tags:
          description: Free-form tags applied to the client key.
          items:
            type: string
          type: array
        type:
          description: Usage category that determines how the key is consumed at runtime.
          enum:
            - JWT
            - PASSWORD
            - PGP
            - PGP_EXTOLE
            - SSH
            - WEBHOOK
          type: string
        updated_at:
          $ref: '#/components/schemas/ZonedDateTime'
      type: object
    AuthorizationUrlInOAuthClientKeyResponse:
      description: OAuth 2.0 authorization endpoint URL, in build-time evaluatable form.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal authorization url
          title: Static Value
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{authorizationUrl}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('authorizationUrl');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    AuthorizationUrlInOAuthGenericClientKeyResponse:
      description: OAuth 2.0 authorization endpoint URL, in build-time evaluatable form.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal authorization url
          title: Static Value
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{authorizationUrl}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('authorizationUrl');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    RequestInOAuthGenericClientKeyResponse:
      description: >-
        The request as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal request
          properties:
            body:
              nullable: true
              type: string
            headers:
              additionalProperties:
                items:
                  type: string
                type: array
              type: object
            url:
              type: string
          title: Static Value
          type: object
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{request}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('request');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
        - description: >-
            Handlebars expression with
            [OAuthClientKeyRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/OAuthClientKeyRuntimeContext.d.ts).
          example: handlebars@runtime:{{request}}
          externalDocs:
            description: OAuthClientKeyRuntimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/OAuthClientKeyRuntimeContext.d.ts
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [OAuthClientKeyRuntimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/OAuthClientKeyRuntimeContext.d.ts).
          example: javascript@runtime:function() { return context.get('request');}
          externalDocs:
            description: OAuthClientKeyRuntimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/OAuthClientKeyRuntimeContext.d.ts
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
    ResponseHandlerInOAuthGenericClientKeyResponse:
      description: >-
        The response handler as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal response handler
          properties:
            accessToken:
              type: string
            expiresIn:
              format: int64
              type: integer
          title: Static Value
          type: object
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{responseHandler}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('responseHandler');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
        - description: >-
            Handlebars expression with
            [OAuthClientKeyResponseContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/response/OAuthClientKeyResponseContext.d.ts).
          example: handlebars@runtime:{{responseHandler}}
          externalDocs:
            description: OAuthClientKeyResponseContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/response/OAuthClientKeyResponseContext.d.ts
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [OAuthClientKeyResponseContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/response/OAuthClientKeyResponseContext.d.ts).
          example: >-
            javascript@runtime:function() { return
            context.get('responseHandler');}
          externalDocs:
            description: OAuthClientKeyResponseContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/response/OAuthClientKeyResponseContext.d.ts
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
    AuthorizationUrlInOAuthLeadPerfectionClientKeyResponse:
      description: OAuth 2.0 authorization endpoint URL, in build-time evaluatable form.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal authorization url
          title: Static Value
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{authorizationUrl}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('authorizationUrl');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    AuthorizationUrlInOAuthListrakClientKeyResponse:
      description: OAuth 2.0 authorization endpoint URL, in build-time evaluatable form.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal authorization url
          title: Static Value
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{authorizationUrl}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('authorizationUrl');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    AuthorizationUrlInOAuthOptimoveClientKeyResponse:
      description: OAuth 2.0 authorization endpoint URL, in build-time evaluatable form.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal authorization url
          title: Static Value
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{authorizationUrl}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('authorizationUrl');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    AuthorizationUrlInOAuthSalesforceClientKeyResponse:
      description: OAuth 2.0 authorization endpoint URL, in build-time evaluatable form.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal authorization url
          title: Static Value
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{authorizationUrl}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('authorizationUrl');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    AuthorizationUrlInOAuthSfdcClientKeyResponse:
      description: OAuth 2.0 authorization endpoint URL, in build-time evaluatable form.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal authorization url
          title: Static Value
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{authorizationUrl}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('authorizationUrl');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    AuthorizationUrlInOAuthSfdcPasswordClientKeyResponse:
      description: OAuth 2.0 authorization endpoint URL, in build-time evaluatable form.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal authorization url
          title: Static Value
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{authorizationUrl}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('authorizationUrl');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    ComponentReferenceResponse:
      properties:
        component_id:
          type: string
        socket_names:
          items:
            type: string
          type: array
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
    DescriptionInClientKeyResponseBase:
      description: >-
        Optional build-time expression that resolves to a human-readable
        description.
      oneOf:
        - description: Literal description
          nullable: true
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{description}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('description');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    NameInClientKeyResponseBase:
      description: >-
        Display name for the key, in the same build-time evaluatable form that
        was supplied on create or update.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal name
          title: Static Value
        - description: >-
            Handlebars expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{name}}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ClientKeyBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('name');}
          externalDocs:
            description: ClientKeyBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/client/security/key/built/ClientKeyBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    client_key_associated_with_entity:
      summary: client_key_associated_with_entity
      value:
        code: client_key_associated_with_entity
        http_status_code: 400
        message: Can't delete a client key associated with an entity
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    client_key_not_found:
      summary: client_key_not_found
      value:
        code: client_key_not_found
        http_status_code: 400
        message: Key is not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    external_element_in_use:
      summary: external_element_in_use
      value:
        code: external_element_in_use
        http_status_code: 400
        message: External element is in use
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    pgp_extole_client_key_not_found:
      summary: pgp_extole_client_key_not_found
      value:
        code: pgp_extole_client_key_not_found
        http_status_code: 400
        message: PGP Extole key is not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````